kind: Pod
apiVersion: v1
metadata:
  generateName: win-webserver-6b89ff7ff-
  resourceVersion: '121484'
  name: win-webserver-6b89ff7ff-l7jlg
  uid: f6369f7e-1783-488a-8cab-c8db1d2b0d1d
  creationTimestamp: '2024-07-01T19:57:08Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2024-07-01T19:57:08Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"e0ada60c-51e1-40b6-bfbc-7b8cf18603fe"}': {}
        'f:spec':
          'f:containers':
            'k:{"name":"win-webserver"}':
              'f:image': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:command': {}
              'f:securityContext':
                .: {}
                'f:runAsNonRoot': {}
                'f:windowsOptions':
                  .: {}
                  'f:runAsUserName': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:os':
            .: {}
            'f:name': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: kubelet.exe
      operation: Update
      apiVersion: v1
      time: '2024-07-01T19:58:11Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodReadyToStartContainers"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:hostIPs': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.132.1.2"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: win-webserver
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: win-webserver-6b89ff7ff
      uid: e0ada60c-51e1-40b6-bfbc-7b8cf18603fe
      controller: true
      blockOwnerDeletion: true
  labels:
    app: win-webserver
    pod-template-hash: 6b89ff7ff
spec:
  nodeSelector:
    kubernetes.io/os: windows
  restartPolicy: Always
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-tkk7t
  priority: 0
  os:
    name: windows
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: ip-10-0-7-21.ec2.internal
  securityContext: {}
  containers:
    - resources:
        limits:
          cpu: '1'
          memory: 512Mi
        requests:
          cpu: 500m
          memory: 512Mi
      terminationMessagePath: /dev/termination-log
      name: win-webserver
      command:
        - pwsh.exe
        - '-command'
        - '$listener = New-Object System.Net.HttpListener; $listener.Prefixes.Add(''http://*:80/''); $listener.Start();Write-Host(''Listening at http://*:80/''); while ($listener.IsListening) { $context = $listener.GetContext(); $response = $context.Response; $content=''<html><body><H1>Red Hat OpenShift </br> Windows Container workload running in GCP</H1></body></html>''; $buffer = [System.Text.Encoding]::UTF8.GetBytes($content); $response.ContentLength64 = $buffer.Length; $response.OutputStream.Write($buffer, 0, $buffer.Length); $response.Close(); };'
      securityContext:
        windowsOptions:
          runAsUserName: ContainerAdministrator
        runAsNonRoot: false
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: kube-api-access-trvlf
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'mcr.microsoft.com/powershell:lts-nanoserver-ltsc2022'
  serviceAccount: default
  volumes:
    - name: kube-api-access-trvlf
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: os
      value: Windows
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: win-webserver
      state:
        running:
          startedAt: '2024-07-01T19:58:10Z'
      imageID: 'mcr.microsoft.com/powershell@sha256:816b28df3ce39a36d6c6f696a4fd6f7823e09defb2af865f31501e868cb0e082'
      image: 'mcr.microsoft.com/powershell:lts-nanoserver-ltsc2022'
      lastState: {}
      containerID: 'containerd://e4ede7f42176e9b217341e5b4db8203216c47b1bbd8c77e9740b59102dd03148'
  qosClass: Burstable
  hostIPs:
    - ip: 10.0.7.21
  podIPs:
    - ip: 10.132.1.2
  podIP: 10.132.1.2
  hostIP: 10.0.7.21
  startTime: '2024-07-01T19:57:08Z'
  conditions:
    - type: PodReadyToStartContainers
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-07-01T19:58:11Z'
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-07-01T19:57:08Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-07-01T19:58:11Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-07-01T19:58:11Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2024-07-01T19:57:08Z'
  phase: Running
